Bug 241405 - sata_sil not loaded and raid not detected
sata_sil not loaded and raid not detected
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-05-25 16:01 EDT by Maurice Pijpers
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-16 11:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of lspci (1.51 KB, text/plain)
2007-05-25 16:01 EDT, Maurice Pijpers
no flags Details
output from dmesg (46.84 KB, text/plain)
2007-05-25 16:02 EDT, Maurice Pijpers
no flags Details

  None (edit)
Description Maurice Pijpers 2007-05-25 16:01:25 EDT
Since kernel 2.6.21-1.3163 the sil raid is not detected anymore an /dev/mapper
shows no sil entry anymore.

How reproducible:

Steps to Reproduce:
1. Install f7 from rawhide
2. Installers detects raid correctly
3. restart after installation
4. Unable to find raid
Actual results:
No entry in /dev/mapper and sata_sil is not loaded

Expected results:
2 entries in /dev/mapper and sata_sil is loaded

Additional info: I'm running a GA-M57SLI-S4 MB with 2 drives in RAID0 (created
with FC6). The drives have been detected correctly with f7t4 but have been
broken since updating to kernel 2.6.21-1.3163. Last version tried 2.6.21-1.3190.
Same problem after reinstalling from rawhide.
Comment 1 Maurice Pijpers 2007-05-25 16:01:25 EDT
Created attachment 155478 [details]
Output of lspci
Comment 2 Maurice Pijpers 2007-05-25 16:02:10 EDT
Created attachment 155479 [details]
output from dmesg
Comment 3 Bill Nottingham 2007-05-25 16:14:57 EDT
Your lspci output implies you don't actually have a sata_sil adapter.
Comment 4 Maurice Pijpers 2007-05-26 09:32:34 EDT
You are correct, the GA-M57SLI-S4 has an sata_nv adapter. The Raid was created
on another MB with sata_sil adapter. I recreated the RAID today and it now show
up as /dev/mapper/nvidia_xxxxxxx in anaconda, but problems remains the same...
After installation the Raid is not detected. Anaconda also reports: 
/dev/sdc: "sil" and "nvidia" formats discovered (using nvidia)! 
and the same for the other raid drive (/dev/sdf).
Comment 5 Maurice Pijpers 2007-05-26 13:13:34 EDT
It seems to be an anaconda problem. When formatting the raid drive with anaconda
the system will not start after reboot because the raid drive cannot be mounted.
The systems goes to the repair filesystem shell after checking the filesystems
and following message:
fsck reports that the filesystem has not been unmounted cleanly. No other errors
are found but the filesytem is modified. But this still doesn't mount the raid
on startup. After the system is started I changed the following line in /etc/fstab: 
LABEL=/data      /data        ext3      defaults   1 2
/dev/mapper/nvidia_xxxxx   /data       ext3      defaults    0 0
This will make sure the raid is mounted correctly at boot time.
Any ideas ???
Comment 6 Maurice Pijpers 2007-06-25 13:54:13 EDT
Problems still occurs in kernel-2.6.21-1.3228.fc7 but raid was correctly
detected in kernel-2.6.21-1.3194.fc7.
Comment 7 Christopher Brown 2007-09-13 14:39:51 EDT
Hello Maurice,

I'm reviewing this bug as part of the kernel bug triage project.


Are you still experiencing this problem? If not, then you may wish to close this
bug. Otherwise, could you please test with the latest kernel or even Fedora 8
Test 2, available from:



Comment 8 Maurice Pijpers 2007-09-16 11:45:48 EDT
Fedora 8 Test 2 doesn' t work for me. I am unable to install it. However problem
is solved in the current Rawhide version (16-09-2007). Closing this.

Note You need to log in before you can comment on or make changes to this bug.